link_in_boot not set correctly

Bug #52679 reported by Brian Campbell on 2006-07-11
10
Affects Status Importance Assigned to Milestone
linux-source-2.6.15 (Ubuntu)
Undecided
Unassigned
Dapper
Undecided
Unassigned
livecd-rootfs (Ubuntu)
High
Unassigned
Dapper
High
Unassigned

Bug Description

The Linux kernel upgrades for dapper quietly fail because they update the initrd.img and vmlinux symlinks in /, but not the ones in /boot which yaboot uses. The result is that after reboot I'm still using the old (vulnerable) kernel.

This copy of dapper was a fresh install just after dapper came out, and /etc/yaboot.conf hasn't been altered by hand - it always referred to /boot/initrd.img and /boot/vmlinux (and .old symlinks, which don't exist).

On Tue, Jul 11, 2006 at 07:22:01PM -0000, Brian Campbell wrote:
> Public bug reported:
>
> Binary package hint: linux-image-2.6.15-26-powerpc
>
> The Linux kernel upgrades for dapper quietly fail because they update
> the initrd.img and vmlinux symlinks in /, but not the ones in /boot
> which yaboot uses. The result is that after reboot I'm still using the
> old (vulnerable) kernel.
>
> This copy of dapper was a fresh install just after dapper came out, and
> /etc/yaboot.conf hasn't been altered by hand - it always referred to
> /boot/initrd.img and /boot/vmlinux (and .old symlinks, which don't
> exist).

What's in /etc/kernel-img.conf? Perhaps you edited it?

--
 - mdz

On Tue, Jul 11, 2006 at 07:41:55PM -0000, Matt Zimmerman wrote:
>
> What's in /etc/kernel-img.conf? Perhaps you edited it?

  do_symlinks = yes
  relative_links = yes
  do_bootloader = no
  do_bootfloppy = no
  do_initrd = yes
  link_in_boot = no

I haven't changed it, I didn't even know about it. Presumably
link_in_boot should be yes?

  Brian

Yeah, link_in_boot should be yes for your purposed. Perhaps something else changed it on your system without your knowledge, but nothing in dapper should have done that.

Changed in linux-source-2.6.15:
status: Unconfirmed → Rejected

On Tue, Jul 11, 2006 at 07:56:56PM -0000, Brian Campbell wrote:
> On Tue, Jul 11, 2006 at 07:41:55PM -0000, Matt Zimmerman wrote:
> >
> > What's in /etc/kernel-img.conf? Perhaps you edited it?
>
> do_symlinks = yes
> relative_links = yes
> do_bootloader = no
> do_bootfloppy = no
> do_initrd = yes
> link_in_boot = no
>
> I haven't changed it, I didn't even know about it. Presumably
> link_in_boot should be yes?

Yes, and that's the default on new installs, at least in recent tests on
i386.

--
 - mdz

On Tue, Jul 11, 2006 at 08:08:54PM -0000, Ben Collins wrote:
> Yeah, link_in_boot should be yes for your purposed. Perhaps something
> else changed it on your system without your knowledge, but nothing in
> dapper should have done that.

What writes the initial /etc/kernel-img.conf? It doesn't appear to be
owned by any package, and the copy on the dapper powerpc live CD I have
is the same as the installed one.

I can't think of anything installed that would alter it.

Matt: link_in_boot defaults to no on i386, so I'm not sure where you got your result from ...

Brian: In installs from the alternate install CD, the initial /etc/kernel-img.conf is written by the base-installer component of the installer; it won't be owned by any package, as you observe.

However, I've just checked and it seems that the live filesystem build script does not match the behaviour of base-installer; they default link_in_boot to no regardless of the architecture. Either ubiquity should fix this up, or the live filesystem build script should be fixed.

Changed in ubiquity:
status: Unconfirmed → Confirmed
Colin Watson (cjwatson) wrote :

Thus, this affects the desktop CD only. Adam, can you have a look at fixing livefs.sh to be in sync with base-installer on this?

(Longer-term, we should move to "link_in_boot yes" on all architectures. This is very likely to require modifications to some bootloader installer scripts, and possibly even to the bootloaders themselves.)

Neale Pickett (neale-lanl) wrote :

I can confirm this behavior on a fresh install from a 6.06 Kubuntu PPC CD. I installed, rebooted, set up the network, and did an upgrade, nothing else (well, I set the color scheme for KDE), and yaboot.conf is looking in /boot but /boot has the old symlinks.

I can provide the CD image if you'd like. I'm sorry but I don't recall where I downloaded it (but it was one of the 6 US mirrors off of kubuntu.com).

Colin Watson (cjwatson) on 2006-09-16
Changed in ubiquity:
importance: Untriaged → High
description: updated
Colin Watson (cjwatson) wrote :
Changed in ubiquity:
status: Confirmed → In Progress
Adam Conrad (adconrad) wrote :

livefs fix applied, sorry for the hideous delay, this one slipped right off my radar.

William (will-i-am) wrote :

I've had the same problem on my laptop (Mac iBook G3 600MHz). I initially installed Ubuntu Dapper 6.06 on my laptop with kernel 2.6.15.23-powerpc and although the kernel has been updated it appears that the symlinks at /boot/vmlinux and /boot/initrd.img were not updated so I have stayed with the same kernel.

I was completely unaware of this until upgrading to Ubuntu Edgy 6.10. After which the network wasn't properly initialised on start up. I've had to manually initialise it each time I restart.

However, after spending the day trawling the Ubuntu forums I came across this bug and updated the symlinks. Now my network works fine on start up which is a major relief.

I note this here, because I imagine this issue has affected a lot of other power pc users, who may not be aware that this bug is the cause of their loss of network connectivity.

I hope you are able to resolve this bug in future. Many thanks for your help.

William

Adam Conrad (adconrad) wrote :

This has been applied in all the dapper buildd chroots as well, so the next dapper point release will pick it up.

Martin Pitt (pitti) wrote :

dapper 6.06.2 won't have new live CDs, moving back to dapper-updates

Colin Watson (cjwatson) wrote :

(sigh, Launchpad, I only wanted a dapper task on livecd-rootfs!)

Changed in linux-source-2.6.15:
status: New → Invalid
Changed in livecd-rootfs:
importance: Undecided → High
milestone: none → dapper-updates
status: New → In Progress
Colin Watson (cjwatson) wrote :

This was fixed a long time ago in livecd-rootfs 0.30 (I think). I've opened a Dapper task in case we ever want to re-release live CDs for Dapper, but the main task can be closed.

Changed in livecd-rootfs:
milestone: dapper-updates → none
status: In Progress → Fix Released
Rolf Leggewie (r0lf) on 2011-10-03
Changed in livecd-rootfs (Ubuntu Dapper):
status: In Progress → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers